[ic] IC 5.6.1 + Pg 8.4 = Problem

Toni Mueller support-ic at oeko.net
Mon Aug 24 17:46:35 UTC 2009


I've just tried to set up the 'standard' shop included with IC 5.6.1 to
test drive, and found that it does not work: mojjh362: - [24/August/2009:18:07:35 +0200] standard /cgi/standard Runtime error: DBD::Pg::st execute failed: ERROR:  operator does not exist: character varying <> integer
> LINE 1: select * from products  WHERE inactive <> 1
>                                                ^
> HINT:  No operator matches the given name and argument type(s). You might need to add explicit type casts. at /home/imke/interchange/lib/Vend/Table/DBI.pm line 1910.

The test box is Debian-Lenny with a backported PostgreSQL (ie, 8.4).

Btw, I couldn't report the problem using RT using the "guest" account
- don't know if that's intentional, though.

Kind regards,

More information about the interchange-users mailing list